[API]
RegEnumKeyA
RegEnumKeyW

[INCLUDE]
TemporaryMemory
PeekS

[CODE]
Public Function RegEnumKey(ByVal HKEY As Long, ByVal dwIndex As Long, ByRef ReturnString As String) As Boolean
  ReturnString = ""
  If IsUnicode Then
    RegEnumKey = (RegEnumKeyW(HKEY, dwIndex, ptrTemp, ptrTempSizeXW) = 0&)
    Else
    RegEnumKey = (RegEnumKeyA(HKEY, dwIndex, ptrTemp, ptrTempSizeX) = 0&)
    End If
  If RegEnumKey Then ReturnString = PeekS(ptrTemp, ptrTempSizeXW)
  End Function
